> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # List application endpoints > List endpoints from all containers for given application ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json get /apps/{appId}/endpoints openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /apps/{appId}/endpoints: get: tags: - Endpoints summary: List application endpoints description: List endpoints from all containers for given application operationId: ListApplicationEndpoints parameters: - name: appId in: path description: The ID of the application required: true schema: type: string responses: '200': description: Endpoints were successfully retrieved. content: application/json: schema: $ref: '#/components/schemas/ListEndpointsResponse' '401': description: User is unauthorized. content: application/json: schema: $ref: '#/components/schemas/ProblemDetails' '404': description: Application not found. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' components: schemas: ListEndpointsResponse: type: object properties: items: type: array items: $ref: '#/components/schemas/EndpointListItem' meta: $ref: '#/components/schemas/ListMeta' cursor: type: string nullable: true additionalProperties: false description: List endpoints response ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. EndpointListItem: required: - containerId - containerName - displayName - id - isSslEnabled - portMappings - publicHost - pullZoneId - type type: object properties: id: minLength: 1 type: string displayName: minLength: 1 type: string publicHost: minLength: 1 type: string type: $ref: '#/components/schemas/EndpointType' isSslEnabled: type: boolean pullZoneId: minLength: 1 type: string portMappings: type: array items: $ref: '#/components/schemas/EndpointPortMapping' containerName: minLength: 1 type: string containerId: minLength: 1 type: string stickySessions: $ref: '#/components/schemas/EndpointStickySession' internalIpAddresses: type: array items: $ref: '#/components/schemas/EndpointInternalIp' nullable: true publicIpAddresses: type: array items: $ref: '#/components/schemas/EndpointInternalIp' nullable: true additionalProperties: false description: Endpoint list item model ListMeta: type: object properties: totalItems: type: integer format: int64 additionalProperties: false ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false EndpointType: enum: - cdn - anycast - publicIp type: string EndpointPortMapping: required: - containerPort - exposedPort - protocols type: object properties: containerPort: type: integer format: int32 exposedPort: type: integer format: int32 protocols: type: array items: $ref: '#/components/schemas/ProtocolV3' additionalProperties: false EndpointStickySession: required: - cookieName - enabled - sessionHeaders type: object properties: enabled: type: boolean sessionHeaders: type: array items: type: string cookieName: minLength: 1 type: string additionalProperties: false EndpointInternalIp: required: - address - region type: object properties: address: minLength: 1 type: string region: minLength: 1 type: string additionalProperties: false ProtocolV3: enum: - tcp - udp - sctp type: string securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.